Send asset event
Send notification of an event happening on an asset.
This endpoint allows reporting various events related to an asset, such as:
- Plug-in/plug-out events
- Updates to charging intent
- Charge now events
If a tariff is included, it must comply with the OSM opening hours standard (https://wiki.openstreetmap.org/wiki/Key:opening_hours) for off-peak times and have a valid timezone, or a 400 error will be returned.
Documentation Index
Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
An enumeration.
plug_in, plug_out, intent_update, charge_now, charge_now_deleted Intent to charge the vehicle. This should only be included for "plug_in" and "intent_update" events
Vehicle information. This should only be included for "plug_in" and "intent_update" events
Tariff information. This should only be included for "plug_in" and "intent_update" events
End time for the charge. This should only be included for "charge_now" events
Response
Event successfully processed

